# std::auto_ptr::release

From cppreference.com
< cpp‎ | memory‎ | auto ptr

T* release(); |  | (deprecated)

Releases the held pointer. After the call *this holds the null pointer.

### Parameters

(none)

### Return value

get().

### Exceptions

(none)

### See also

reset | destroys the managed object (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/memory/auto_ptr/release&oldid=58302"